COUNTCOUNT
Sign Up
InvoicesGet the public link

Get the public link

GET/partners/invoices/{uuid}/public-link

Returns a shareable public link for the invoice, creating the public token if needed.

HMAC signature + Bearer access token
Try this request

Path parameters

uuiduuidrequired

The UUID of the invoice.

Responses

200The public token and URL.
404Invoice not found.
GEThttps://api.getcount.com/partners/invoices/{uuid}/public-link
Request
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/public-link';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/public-link`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
Response · 200
{
  "status": "success",
  "data": {
    "publicToken": "pub_3fa85f64",
    "publicUrl": "https://app.getcount.com/public/invoice-estimate/pub_3fa85f64"
  }
}